Ignore:
Timestamp:
Jan 1, 2014, 12:47:38 AM (10 years ago)
Author:
Bruno Cornec
Message:
  • Update mindi-busybox to 1.21.1
File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/3.2/mindi-busybox/testsuite/mount.tests

    r2725 r3232  
    2121fi
    2222
    23 testdir=$PWD/mount.testdir
     23testdir="$PWD/mount.testdir"
    2424
    2525dd if=/dev/zero of=mount.image1m count=1 bs=1M 2>/dev/null || { echo "dd error"; exit 1; }
     
    3737"&& grep -Fc $testdir </proc/mounts "\
    3838"&& mount -o remount,mand $testdir "\
    39 "&& grep -F $testdir </proc/mounts | grep -c '[, ]mand[, ]'" \
     39"&& grep -F $testdir </proc/mounts | grep -c '[, ]mand[, ]'"\
     40"|| grep -F $testdir </proc/mounts" \
    4041    "1\n""1\n" \
    4142    "" ""
     
    4546rm mount.image1m
    4647
     48
     49# Bug: mount.shared1 directory shows no files (has to show files a and b)
     50optional FEATURE_LS_RECURSIVE FEATURE_LS_SORTFILES
     51testing "mount bind+rshared" "\
     52mkdir -p mount.dir mount.shared1 mount.shared2
     53touch mount.dir/a mount.dir/b
     54
     55mount --bind         mount.shared1 mount.shared1 2>&1
     56mount --make-rshared mount.shared1               2>&1
     57mount --bind         mount.shared2 mount.shared2 2>&1
     58mount --make-rshared mount.shared2               2>&1
     59
     60mount --bind mount.shared2 mount.shared1         2>&1
     61mount --bind mount.dir     mount.shared2         2>&1
     62
     63ls -R mount.dir mount.shared1 mount.shared2      2>&1
     64
     65umount mount.dir mount.shared1 mount.shared2 2>/dev/null
     66umount mount.dir mount.shared1 mount.shared2 2>/dev/null
     67umount mount.dir mount.shared1 mount.shared2 2>/dev/null
     68rm -f mount.dir/a mount.dir/b mount.dir/c
     69rmdir mount.dir mount.shared1 mount.shared2
     70" \
     71"\
     72mount.dir:
     73a
     74b
     75
     76mount.shared1:
     77a
     78b
     79
     80mount.shared2:
     81a
     82b
     83" \
     84    "" ""
     85SKIP=
     86
     87
     88testing "mount RO loop" "\
     89exec 2>&1
     90umount -d mount.dir 2>/dev/null
     91rmdir mount.dir     2>/dev/null
     92mkdir -p mount.dir
     93(
     94cd mount.dir                               || { echo 'cd error'; exit 1; }
     95mkdir z1 z2                                || { echo 'mkdir error'; exit 1; }
     96mount -t tmpfs tmpfs z1                    || { echo 'mount tmpfs error'; exit 1; }
     97dd if=/dev/zero of=z1/e2img count=10 bs=1M 2>/dev/null || { echo 'dd error'; exit 1; }
     98mke2fs -F z1/e2img                         2>/dev/null >&2 || { echo 'mke2fs error'; exit 1; }
     99mount -r -o loop -t ext2 z1/e2img z2       || { echo 'mount -r -o loop error'; exit 1; }
     100mount -o remount,ro z1                     || { echo 'mount -o remount,ro error'; exit 1; }
     101)
     102umount -d mount.dir/z2
     103##losetup -d /dev/loop*
     104umount -d mount.dir/z1
     105rm -rf mount.dir
     106echo DONE
     107" \
     108"DONE\n" "" ""
     109
     110
    47111exit $FAILCOUNT
Note: See TracChangeset for help on using the changeset viewer.